JBoss Native SVN: r1318 - trunk/build/unix/data.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-31 18:00:58 -0500 (Thu, 31 Jan 2008)
New Revision: 1318
Added:
trunk/build/unix/data/rhel-httpd.apr
Log:
Don't use apr-1.2.7-pkgconf.patch it need an installed apr.
Added: trunk/build/unix/data/rhel-httpd.apr
===================================================================
--- trunk/build/unix/data/rhel-httpd.apr (rev 0)
+++ trunk/build/unix/data/rhel-httpd.apr 2008-01-31 23:00:58 UTC (rev 1318)
@@ -0,0 +1 @@
+apr-1.2.7-pkgconf.patch
16 years, 8 months
JBoss Native SVN: r1317 - in trunk/build/unix: util and 1 other directory.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-31 12:43:32 -0500 (Thu, 31 Jan 2008)
New Revision: 1317
Modified:
trunk/build/unix/buildsrc.rhel-httpd.sh
trunk/build/unix/util/buildrhelsrc.sh
Log:
Use apr and apr-util from rhel repositories
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-31 13:45:28 UTC (rev 1316)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-31 17:43:32 UTC (rev 1317)
@@ -40,7 +40,7 @@
# Build the sources from the rhel repo according to the information in data.
util/buildrhelsrc.sh http://cvs.devel.redhat.com/repo/dist/httpd httpd/RHEL-5 ${native_tag} ${native_dist} httpd rhel-httpd ${build_version}
if [ $? -ne 0 ]; then
- echo "util/buildrhelsrc.sh failed"
+ echo "util/buildrhelsrc.sh httpd failed"
exit 1
fi
@@ -48,6 +48,38 @@
dirsources=${native_dist}/srclib/${dirsources}
#
+# Build the sources from the rhel repo according to the information in data.
+# http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/rpms/apr/RHEL-5/
+util/buildrhelsrc.sh http://cvs.devel.redhat.com/repo/dist/apr apr/RHEL-5 trunk ${native_dist} apr rhel-httpd ${build_version}
+if [ $? -ne 0 ]; then
+ echo "util/buildrhelsrc.sh apr failed"
+ exit 1
+fi
+
+# http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/rpms/apr-util/RHEL-5/
+util/buildrhelsrc.sh http://cvs.devel.redhat.com/repo/dist/apr-util apr-util/RHEL-5 trunk ${native_dist} apr-util rhel-httpd ${build_version}
+if [ $? -ne 0 ]; then
+ echo "util/buildrhelsrc.sh apr-util failed"
+ exit 1
+fi
+
+# Copy apr and apr-util to the build location.
+if [ -d ${dirsources}/srclib/apr ]
+then
+ rm -rf ${dirsources}/srclib/apr
+ aprdirsources=`ls ${native_dist}/srclib/ | grep apr- | grep -v apr-util`
+ echo "Replacing ${dirsources}/srclib/apr by ${native_dist}/srclib/${aprdirsources}"
+ mv ${native_dist}/srclib/${aprdirsources} ${dirsources}/srclib/apr
+fi
+if [ -d ${dirsources}/srclib/apr-util ]
+then
+ rm -rf ${dirsources}/srclib/apr-util
+ aprdirsources=`ls ${native_dist}/srclib/ | grep apr-util-`
+ echo "Replacing ${dirsources}/srclib/apr-util by ${native_dist}/srclib/${aprdirsources}"
+ mv ${native_dist}/srclib/${aprdirsources} ${dirsources}/srclib/apr-util
+fi
+
+#
# Add mod_jk sources.
if $has_jk; then
${build_top}/util/override.sh ${build_top}/buildsrc.asf-jk.sh ${jk_version} ${package_src_dir} ${dirsources}
Modified: trunk/build/unix/util/buildrhelsrc.sh
===================================================================
--- trunk/build/unix/util/buildrhelsrc.sh 2008-01-31 13:45:28 UTC (rev 1316)
+++ trunk/build/unix/util/buildrhelsrc.sh 2008-01-31 17:43:32 UTC (rev 1317)
@@ -31,7 +31,7 @@
echo "dir : $4"
echo "compo : $5"
echo "package : $6"
-echo "version : $6"
+echo "version : $7"
echo ""
# parameters
@@ -45,30 +45,33 @@
URL=$1
repo=$2
-native_tag=$3
+tag=$3
destdir=$4
compo=$5
package=$6
-packageversion=$7
+version=$7
# we need something like:
#cvs -d :pserver:anonymous@cvs.devel.redhat.com:/cvs/dist export \
# -r httpd-2_2_3-11_el5 httpd/RHEL-5
cvsloc=:pserver:anonymous@cvs.devel.redhat.com:/cvs/dist
-native_tag_opt="-r $native_tag"
-native_ext="$tag"
+if [ "$tag" == "trunk" ];then
+ native_tag_opt="-r HEAD"
+else
+ native_tag_opt="-r $tag"
+fi
rhel_loc=${destdir}/srclib
-mkdir -p ${rhel_loc}/httpd
+mkdir -p ${rhel_loc}/${compo}
echo "Doing cvs -d ${cvsloc} export ${native_tag_opt} ${repo}"
cvs -d ${cvsloc} export ${native_tag_opt} ${repo}
if [ $? -ne 0 ];then
echo "cvs failed"
exit 1
fi
-mv ${repo} ${rhel_loc}/httpd
-rhel_loc=${destdir}/srclib/httpd/`basename ${repo}`
+mv ${repo} ${rhel_loc}/${compo}
+rhel_loc=${destdir}/srclib/${compo}/`basename ${repo}`
# download something like:
@@ -101,14 +104,15 @@
# Read the patches list and apply them
WHERE=${destdir}/tools
mkdir -p ${WHERE}
-grep "^%patch" ${rhel_loc}/httpd.spec | sed 's:%:@:' | sed 's: :@ :' | awk ' { print $1 " " $2 } ' > ${WHERE}/patch.cmd
-grep "^Patch" ${rhel_loc}/httpd.spec | sed 's:^Patch:@patch:' | sed 's/:/@/' | awk ' { print "s:" $1 ": @PATCH@ -i @DIR@" $2 ":" } ' > ${WHERE}/patch.files
+grep "^%patch" ${rhel_loc}/${compo}.spec | sed 's:%:@:' | sed 's: :@ :' | awk ' { print $1 " " $2 } ' > ${WHERE}/patch.cmd
+grep "^Patch" ${rhel_loc}/${compo}.spec | sed 's:^Patch:@patch:' | sed 's/:/@/' | awk ' { print "s:" $1 ": @PATCH@ -i @DIR@" $2 ":" } ' > ${WHERE}/patch.files
sed -f ${WHERE}/patch.files ${WHERE}/patch.cmd | sed "s:@DIR@:${rhel_loc}/:" | sed "s:@PATCH@:${patch}:" > ${WHERE}/patch.sh
#
# Remove linux specific patches.
# The file containing the patch that shouldn't be applied are build the following way.
# ${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU}
+echo "Don't apply patch search in ${build_top}/data/${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU}"
if [ -f ${build_top}/data/${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU} ]; then
remove_list=`cat ${build_top}/data/${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU}`
elif [ -f ${build_top}/data/${package}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU} ]; then
@@ -125,6 +129,7 @@
if [ -z "${remove_list}" ]; then
echo "applying all the rhel patches"
else
+ echo "applying only some of the rhel patches"
for patch in `echo "$remove_list"`
do
cat ${WHERE}/patch.sh | grep -v ${patch} > ${WHERE}/patch.sh
16 years, 8 months
JBoss Native SVN: r1316 - trunk/httpd/httpd-2.2/modules/jk.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-31 08:45:28 -0500 (Thu, 31 Jan 2008)
New Revision: 1316
Added:
trunk/httpd/httpd-2.2/modules/jk/configure.in
Modified:
trunk/httpd/httpd-2.2/modules/jk/Makefile.in
trunk/httpd/httpd-2.2/modules/jk/config5.m4
Log:
Arrange jk build.
Modified: trunk/httpd/httpd-2.2/modules/jk/Makefile.in
===================================================================
--- trunk/httpd/httpd-2.2/modules/jk/Makefile.in 2008-01-31 13:27:19 UTC (rev 1315)
+++ trunk/httpd/httpd-2.2/modules/jk/Makefile.in 2008-01-31 13:45:28 UTC (rev 1316)
@@ -1 +1,2 @@
+VPATH = $(srcdir)/common:$(srcdir)/apache-2.0
include $(top_srcdir)/build/special.mk
Modified: trunk/httpd/httpd-2.2/modules/jk/config5.m4
===================================================================
--- trunk/httpd/httpd-2.2/modules/jk/config5.m4 2008-01-31 13:27:19 UTC (rev 1315)
+++ trunk/httpd/httpd-2.2/modules/jk/config5.m4 2008-01-31 13:45:28 UTC (rev 1316)
@@ -2,7 +2,7 @@
APACHE_MODPATH_INIT(jk)
-jk_objects="apache-2.0/mod_jk.lo common/jk_ajp12_worker.lo common/jk_ajp13.lo common/jk_ajp13_worker.lo common/jk_ajp14.lo common/jk_ajp14_worker.lo common/jk_ajp_common.lo common/jk_connect.lo common/jk_context.lo common/jk_lb_worker.lo common/jk_map.lo common/jk_md5.lo common/jk_msg_buff.lo common/jk_pool.lo common/jk_shm.lo common/jk_sockbuf.lo common/jk_status.lo common/jk_uri_worker_map.lo common/jk_url.lo common/jk_util.lo common/jk_worker.lo"
+jk_objects="mod_jk.lo jk_ajp12_worker.lo jk_ajp13.lo jk_ajp13_worker.lo jk_ajp14.lo jk_ajp14_worker.lo jk_ajp_common.lo jk_connect.lo jk_context.lo jk_lb_worker.lo jk_map.lo jk_md5.lo jk_msg_buff.lo jk_pool.lo jk_shm.lo jk_sockbuf.lo jk_status.lo jk_uri_worker_map.lo jk_url.lo jk_util.lo jk_worker.lo"
APACHE_MODULE(jk, AJP protocol handling, $jk_objects, , $jk_enable)
Added: trunk/httpd/httpd-2.2/modules/jk/configure.in
===================================================================
--- trunk/httpd/httpd-2.2/modules/jk/configure.in (rev 0)
+++ trunk/httpd/httpd-2.2/modules/jk/configure.in 2008-01-31 13:45:28 UTC (rev 1316)
@@ -0,0 +1,120 @@
+AC_PREREQ(2.13)
+AC_INIT(common/jk_worker.h)
+AC_CONFIG_HEADER(common/portable.h)
+AC_CONFIG_AUX_DIR(scripts/build/unix)
+
+sinclude(scripts/build/jk_common.m4)
+
+dnl ----------------------------- Checks for standard typedefs
+
+dnl Checks for integer size
+AC_CHECK_SIZEOF(char, 1)
+AC_CHECK_SIZEOF(int, 4)
+AC_CHECK_SIZEOF(long, 4)
+AC_CHECK_SIZEOF(short, 2)
+AC_CHECK_SIZEOF(long double, 12)
+AC_CHECK_SIZEOF(long long, 8)
+AC_CHECK_SIZEOF(longlong, 8)
+
+
+# Now we need to find what jk_uint32_t (sizeof == 4) will be.
+# The first match is our preference.
+if test "$ac_cv_sizeof_int" = "4"; then
+ int32_t_fmt='#define JK_INT32_T_FMT "d"'
+ uint32_t_fmt='#define JK_UINT32_T_FMT "u"'
+ uint32_t_hex_fmt='#define JK_UINT32_T_HEX_FMT "x"'
+ int32_value="int"
+elif test "$ac_cv_sizeof_long" = "4"; then
+ int32_t_fmt='#define JK_INT32_T_FMT "ld"'
+ uint32_t_fmt='#define JK_UINT32_T_FMT "lu"'
+ uint32_t_hex_fmt='#define JK_UINT32_T_HEX_FMT "lx"'
+ int32_value="long"
+else
+ int32_t_fmt='#error could not detect a 32-bit integer type'
+ uint32_t_fmt='#error could not detect a 32-bit integer type'
+ uint32_t_hex_fmt='#error could not detect a 32-bit integer type'
+ AC_ERROR([could not detect a 32-bit integer type])
+fi
+
+# Now we need to find what jk_uint64_t (sizeof == 8) will be.
+# The first match is our preference.
+if test "$ac_cv_sizeof_int" = "8"; then
+ int64_t_fmt='#define JK_INT64_T_FMT "d"'
+ uint64_t_fmt='#define JK_UINT64_T_FMT "u"'
+ uint64_t_hex_fmt='#define JK_UINT64_T_HEX_FMT "x"'
+ int64_value="int"
+elif test "$ac_cv_sizeof_long" = "8"; then
+ int64_t_fmt='#define JK_INT64_T_FMT "ld"'
+ uint64_t_fmt='#define JK_UINT64_T_FMT "lu"'
+ uint64_t_hex_fmt='#define JK_UINT64_T_HEX_FMT "lx"'
+ int64_value="long"
+elif test "$ac_cv_sizeof_long_long" = "8"; then
+ # Linux, Solaris, FreeBSD all support ll with printf.
+ # BSD 4.4 originated 'q'. Solaris is more popular and
+ # doesn't support 'q'. Solaris wins. Exceptions can
+ # go to the OS-dependent section.
+ int64_t_fmt='#define JK_INT64_T_FMT "lld"'
+ uint64_t_fmt='#define JK_UINT64_T_FMT "llu"'
+ uint64_t_hex_fmt='#define JK_UINT64_T_HEX_FMT "llx"'
+ int64_value="long long"
+elif test "$ac_cv_sizeof_long_double" = "8"; then
+ int64_t_fmt='#define JK_INT64_T_FMT "Ld"'
+ uint64_t_fmt='#define JK_UINT64_T_FMT "Lu"'
+ uint64_t_hex_fmt='#define JK_UINT64_T_HEX_FMT "Lx"'
+ int64_value="long double"
+elif test "$ac_cv_sizeof_longlong" = "8"; then
+ int64_t_fmt='#define JK_INT64_T_FMT "qd"'
+ uint64_t_fmt='#define JK_UINT64_T_FMT "qu"'
+ uint64_t_hex_fmt='#define JK_UINT64_T_HEX_FMT "qx"'
+ int64_value="__int64"
+else
+ int64_t_fmt='#error could not detect a 64-bit integer type'
+ uint64_t_fmt='#error could not detect a 64-bit integer type'
+ uint64_t_hex_fmt='#error could not detect a 64-bit integer type'
+ AC_ERROR([could not detect a 64-bit integer type])
+fi
+
+JK_CHECK_SIZEOF_EXTENDED([#include <sys/types.h>], pid_t, 8)
+
+if test "$ac_cv_sizeof_pid_t" = "$ac_cv_sizeof_short"; then
+ pid_t_fmt='#define JK_PID_T_FMT "hd"'
+elif test "$ac_cv_sizeof_pid_t" = "$ac_cv_sizeof_int"; then
+ pid_t_fmt='#define JK_PID_T_FMT "d"'
+elif test "$ac_cv_sizeof_pid_t" = "$ac_cv_sizeof_long"; then
+ pid_t_fmt='#define JK_PID_T_FMT "ld"'
+elif test "$ac_cv_sizeof_pid_t" = "$ac_cv_sizeof_long_long"; then
+ pid_t_fmt='#define JK_PID_T_FMT JK_INT64_T_FMT'
+else
+ pid_t_fmt='#error Can not determine the proper size for pid_t'
+fi
+
+# Basically, we have tried to figure out the correct format strings
+# for pid_t which varies between platforms, but we don't always get
+# it right. If you find that we don't get it right for your platform,
+# you can override our decision below.
+case $host in
+ *-solaris*)
+ if test "$ac_cv_sizeof_pid_t" = "$ac_cv_sizeof_long"; then
+ pid_t_fmt='#define JK_PID_T_FMT "ld"'
+ fi
+ ;;
+esac
+
+AC_SUBST(int32_value)
+AC_SUBST(int32_t_fmt)
+AC_SUBST(uint32_t_fmt)
+AC_SUBST(uint32_t_hex_fmt)
+AC_SUBST(int64_value)
+AC_SUBST(int64_t_fmt)
+AC_SUBST(uint64_t_fmt)
+AC_SUBST(uint64_t_hex_fmt)
+AC_SUBST(pid_t_fmt)
+
+dnl check for snprintf and vsnprintf.
+AC_CHECK_FUNC(snprintf, AC_DEFINE(HAVE_SNPRINTF,1,[Have snprintf()]))
+AC_CHECK_FUNC(vsnprintf, AC_DEFINE(HAVE_VSNPRINTF,1,[Have vsnprintf()]))
+dnl check for flock function.
+AC_CHECK_FUNC(flock, AC_DEFINE(HAVE_FLOCK,1,[Have flock()]))
+
+AC_OUTPUT([common/jk_types.h
+ ])
16 years, 8 months
JBoss Native SVN: r1315 - in trunk/build/unix: data and 1 other directories.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-31 08:27:19 -0500 (Thu, 31 Jan 2008)
New Revision: 1315
Added:
trunk/build/unix/data/
trunk/build/unix/data/rhel-httpd.httpd
trunk/build/unix/data/rhel-httpd.httpd.linux2
trunk/build/unix/util/buildrhelsrc.sh
Modified:
trunk/build/unix/build.sh
trunk/build/unix/buildbin.rhel-httpd.sh
trunk/build/unix/buildsrc.asf-jk.sh
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
Add buildrhelsrc and arrange mod_jk configure.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-01-31 08:25:16 UTC (rev 1314)
+++ trunk/build/unix/build.sh 2008-01-31 13:27:19 UTC (rev 1315)
@@ -160,6 +160,7 @@
has_version=true
echo "Using version ${build_version} from `basename ${package_list}`"
fi
+export build_version
# Check for some gnu mandadory tools.
patch=`util/find_gnu.sh patch`
Modified: trunk/build/unix/buildbin.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildbin.rhel-httpd.sh 2008-01-31 08:25:16 UTC (rev 1314)
+++ trunk/build/unix/buildbin.rhel-httpd.sh 2008-01-31 13:27:19 UTC (rev 1315)
@@ -83,7 +83,6 @@
--with-suexec-uidmin=500 --with-suexec-gidmin=100 \
--with-pcre=builtin \
$* || exit 1
-exit 1
make clean || exit 1
make || exit 1
) || return 1
@@ -123,9 +122,15 @@
add_conf="$add_conf --with-expat=builtin"
fi
# Process mod_jk if needed.
+native_sources=srclib/`ls srclib | grep httpd-`
+cd $native_sources
+
if $has_jk; then
add_conf="$add_conf --enable-jk"
+ (cd modules/jk; ./configure)
fi
+
+# Ajust some more platform dependent stuff.
case ${BUILD_SYS} in
linux*)
add_conf="$add_conf --enable-pie"
@@ -135,8 +140,7 @@
;;
esac
echo "Building prefork and mpm"
-native_sources=srclib/`ls srclib | grep httpd-`
-cd $native_sources
+
# Build everything and the kitchen sink with the prefork build
# removed because of ldap dependencies.
# --enable-ldap --enable-authnz-ldap \
Modified: trunk/build/unix/buildsrc.asf-jk.sh
===================================================================
--- trunk/build/unix/buildsrc.asf-jk.sh 2008-01-31 08:25:16 UTC (rev 1314)
+++ trunk/build/unix/buildsrc.asf-jk.sh 2008-01-31 13:27:19 UTC (rev 1315)
@@ -27,6 +27,7 @@
echo "Started : `date`"
echo "Tag : $1"
echo "Target : $2"
+echo "Destdir : $3"
echo ""
# parameters
@@ -35,6 +36,7 @@
native_tag=$1
native_dist=$2
+destdir=$3
# we need something like:
# http://archive.apache.org/dist/tomcat/tomcat-connectors/jk/source/jk-1.2....
@@ -52,3 +54,13 @@
esac
util/ckeckdownload.sh $build_cache_dir $package_src_dir $build_top tomcat-connectors-${native_tag}-src $URL $URLBACK
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+#
+# Copy the files to httpd src.
+mkdir -p ${destdir}/modules/jk
+cp -rp $package_src_dir/srclib/tomcat-connectors-${native_tag}-src/native/apache-2.0 ${destdir}/modules/jk
+cp -rp $package_src_dir/srclib/tomcat-connectors-${native_tag}-src/native/common ${destdir}/modules/jk
+cp -rp $package_src_dir/srclib/tomcat-connectors-${native_tag}-src/native/scripts ${destdir}/modules/jk
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-31 08:25:16 UTC (rev 1314)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-31 13:27:19 UTC (rev 1315)
@@ -36,67 +36,26 @@
native_tag=$1
native_dist=$2
-# we need something like:
-#cvs -d :pserver:anonymous@cvs.devel.redhat.com:/cvs/dist export \
-# -r httpd-2_2_3-11_el5 httpd/RHEL-5
-
-cvsloc=:pserver:anonymous@cvs.devel.redhat.com:/cvs/dist
-if [ $native_tag = "trunk" ]; then
- native_tag_opt="-r HEAD"
- native_ext=current
-else
- native_tag_opt="-r $native_tag"
- # XXX: fix it to get 2_2_3-11_el5 into 2.2.3-11_el5.
- native_ext="$tag"
-fi
-
-rhel_loc=${native_dist}/srclib
-mkdir -p ${rhel_loc}/httpd
-echo "Doing cvs -d ${cvsloc} export ${native_tag_opt} httpd/RHEL-5"
-cvs -d ${cvsloc} export ${native_tag_opt} httpd/RHEL-5
-if [ $? -ne 0 ];then
- echo "cvs failed"
+#
+# Build the sources from the rhel repo according to the information in data.
+util/buildrhelsrc.sh http://cvs.devel.redhat.com/repo/dist/httpd httpd/RHEL-5 ${native_tag} ${native_dist} httpd rhel-httpd ${build_version}
+if [ $? -ne 0 ]; then
+ echo "util/buildrhelsrc.sh failed"
exit 1
fi
-mv httpd/RHEL-5 ${rhel_loc}/httpd
-rhel_loc=${native_dist}/srclib/httpd/RHEL-5
-
-# download something like:
-# http://cvs.devel.redhat.com/repo/dist/httpd/httpd-2.2.3.tar.gz/f72ffb176e...
-fname=`cat ${rhel_loc}/sources | awk '{ print $2 }'`
-dir=`cat ${rhel_loc}/sources | awk '{ print $1 }'`
-sum="NONE"
-if [ -f ${fname} ]; then
- sum=`openssl md5 ${fname} | awk ' { print $2 } '`
- if [ "x${sum}" = "x" ];then
- sum=`md5sum ${fname} | awk ' { print $1 } '`
- fi
-fi
-if [ ${dir} = ${sum} ]; then
- echo "$fname already available"
-else
- rm -f $fname
- wget --tries=0 --retry-connrefused http://cvs.devel.redhat.com/repo/dist/httpd/${fname}/${dir}/${fname}
- if [ $? -ne 0 ];then
- echo "wget $fname failed"
- exit 1
- fi
-fi
-gunzip -c ${fname} | tar -xf -
-dirsources=`gunzip -c ${fname} | tar -tf - | head -1 | awk '{ print $1 }'`
-mv ${dirsources} ${native_dist}/srclib
+dirsources=`ls ${native_dist}/srclib/ | grep httpd-`
dirsources=${native_dist}/srclib/${dirsources}
#
# Add mod_jk sources.
if $has_jk; then
- ${build_top}/util/override.sh ${build_top}/buildsrc.asf-jk.sh ${jk_version} ${package_src_dir}
+ ${build_top}/util/override.sh ${build_top}/buildsrc.asf-jk.sh ${jk_version} ${package_src_dir} ${dirsources}
if [ $? -ne 0 ]; then
echo "buildsrc.asf-jk.sh failed"
exit 1
fi
- cp ${build_top}/buildbin.asf-jk*.sh ${package_src_dir}
+ cp ${build_top}/buildsrc.asf-jk.sh ${package_src_dir}
fi
#
@@ -114,42 +73,6 @@
exit 1
fi
-
-#
-# Read the patches list and apply them
-WHERE=${native_dist}/tools
-mkdir -p ${WHERE}
-grep "^%patch" ${rhel_loc}/httpd.spec | sed 's:%:@:' | sed 's: :@ :' | awk ' { print $1 " " $2 } ' > ${WHERE}/patch.cmd
-grep "^Patch" ${rhel_loc}/httpd.spec | sed 's:^Patch:@patch:' | sed 's/:/@/' | awk ' { print "s:" $1 ": @PATCH@ -i @DIR@" $2 ":" } ' > ${WHERE}/patch.files
-sed -f ${WHERE}/patch.files ${WHERE}/patch.cmd | sed "s:@DIR@:${rhel_loc}/:" | sed "s:@PATCH@:${patch}:" > ${WHERE}/patch.sh
-
-#
-# Remove linux specific patches.
-case ${BUILD_SYS} in
- linux*)
- # XXX: Somehow we can't apply the patches for the moment. (See configure).
- remove_list="httpd-2.0.45-deplibs.patch httpd-2.0.54-selinux.patch httpd-2.2.2-ac260.patch httpd-2.1.10-apctl.patch httpd-2.1.10-apxs.patch httpd-2.1.10-disablemods.patch"
- ;;
- *)
- remove_list="httpd-2.0.45-deplibs.patch httpd-2.0.54-selinux.patch httpd-2.2.2-ac260.patch httpd-2.1.10-apctl.patch httpd-2.1.10-apxs.patch httpd-2.1.10-disablemods.patch"
- # XXX: See above...
- # remove_list="httpd-2.0.54-selinux.patch httpd-2.1.10-apxs.patch httpd-2.0.45-deplibs.patch"
- ;;
-esac
-if [ -z "${remove_list}" ]; then
- echo "applying all the rhel patches"
-else
- for patch in `echo "$remove_list"`
- do
- cat ${WHERE}/patch.sh | grep -v ${patch} > ${WHERE}/patch.sh
- done
-fi
-echo "Applying the rhel patches to ${dirsources}"
-chmod a+x ${WHERE}/patch.sh
-(cd ${dirsources}
- ${WHERE}/patch.sh
-)
-
# Replace libtool by our libtool
case ${BUILD_SYS} in
hpux*)
@@ -166,3 +89,9 @@
(cd ${dirsources}
bash buildconf
)
+
+if $has_jk; then
+(cd ${dirsources}/modules/jk
+ autoconf
+)
+fi
Added: trunk/build/unix/data/rhel-httpd.httpd
===================================================================
--- trunk/build/unix/data/rhel-httpd.httpd (rev 0)
+++ trunk/build/unix/data/rhel-httpd.httpd 2008-01-31 13:27:19 UTC (rev 1315)
@@ -0,0 +1 @@
+httpd-2.0.45-deplibs.patch httpd-2.0.54-selinux.patch httpd-2.2.2-ac260.patch httpd-2.1.10-apctl.patch httpd-2.1.10-apxs.patch httpd-2.1.10-disablemods.patch
Added: trunk/build/unix/data/rhel-httpd.httpd.linux2
===================================================================
--- trunk/build/unix/data/rhel-httpd.httpd.linux2 (rev 0)
+++ trunk/build/unix/data/rhel-httpd.httpd.linux2 2008-01-31 13:27:19 UTC (rev 1315)
@@ -0,0 +1 @@
+httpd-2.0.45-deplibs.patch httpd-2.0.54-selinux.patch httpd-2.2.2-ac260.patch httpd-2.1.10-apctl.patch httpd-2.1.10-apxs.patch httpd-2.1.10-disablemods.patch
Added: trunk/build/unix/util/buildrhelsrc.sh
===================================================================
--- trunk/build/unix/util/buildrhelsrc.sh (rev 0)
+++ trunk/build/unix/util/buildrhelsrc.sh 2008-01-31 13:27:19 UTC (rev 1315)
@@ -0,0 +1,137 @@
+#!/bin/sh
+# Copyright(c) 2008 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2007-06-01 18:00:27 +0200 (Fri, 01 Jun 2007) $"
+echo ""
+echo "Started : `date`"
+echo "URL : $1"
+echo "repo : $2"
+echo "tag : $3"
+echo "dir : $4"
+echo "compo : $5"
+echo "package : $6"
+echo "version : $6"
+echo ""
+
+# parameters
+# $1: URL where download sources and patches. something like http://cvs.devel.redhat.com/repo/dist/httpd.
+# $2: repo (something like httpd/RHEL-5)
+# $3: tag for cvs repo.
+# $4: Directory where to put the sources.
+# $5: Component (in data for the list of patch that shouldn't be applied).
+# $6: package. (to find the patch that should be applied).
+# $7: package version. (to find the patch that should be applied).
+
+URL=$1
+repo=$2
+native_tag=$3
+destdir=$4
+compo=$5
+package=$6
+packageversion=$7
+
+# we need something like:
+#cvs -d :pserver:anonymous@cvs.devel.redhat.com:/cvs/dist export \
+# -r httpd-2_2_3-11_el5 httpd/RHEL-5
+
+cvsloc=:pserver:anonymous@cvs.devel.redhat.com:/cvs/dist
+native_tag_opt="-r $native_tag"
+native_ext="$tag"
+
+rhel_loc=${destdir}/srclib
+mkdir -p ${rhel_loc}/httpd
+echo "Doing cvs -d ${cvsloc} export ${native_tag_opt} ${repo}"
+cvs -d ${cvsloc} export ${native_tag_opt} ${repo}
+if [ $? -ne 0 ];then
+ echo "cvs failed"
+ exit 1
+fi
+mv ${repo} ${rhel_loc}/httpd
+rhel_loc=${destdir}/srclib/httpd/`basename ${repo}`
+
+
+# download something like:
+# http://cvs.devel.redhat.com/repo/dist/httpd/httpd-2.2.3.tar.gz/f72ffb176e...
+fname=`cat ${rhel_loc}/sources | awk '{ print $2 }'`
+dir=`cat ${rhel_loc}/sources | awk '{ print $1 }'`
+sum="NONE"
+if [ -f ${fname} ]; then
+ sum=`openssl md5 ${fname} | awk ' { print $2 } '`
+ if [ "x${sum}" = "x" ];then
+ sum=`md5sum ${fname} | awk ' { print $1 } '`
+ fi
+fi
+if [ ${dir} = ${sum} ]; then
+ echo "$fname already available"
+else
+ rm -f $fname
+ wget --tries=0 --retry-connrefused ${URL}/${fname}/${dir}/${fname}
+ if [ $? -ne 0 ];then
+ echo "wget $fname failed"
+ exit 1
+ fi
+fi
+gunzip -c ${fname} | tar -xf -
+dirsources=`gunzip -c ${fname} | tar -tf - | head -1 | awk '{ print $1 }'`
+mv ${dirsources} ${destdir}/srclib
+dirsources=${destdir}/srclib/${dirsources}
+
+#
+# Read the patches list and apply them
+WHERE=${destdir}/tools
+mkdir -p ${WHERE}
+grep "^%patch" ${rhel_loc}/httpd.spec | sed 's:%:@:' | sed 's: :@ :' | awk ' { print $1 " " $2 } ' > ${WHERE}/patch.cmd
+grep "^Patch" ${rhel_loc}/httpd.spec | sed 's:^Patch:@patch:' | sed 's/:/@/' | awk ' { print "s:" $1 ": @PATCH@ -i @DIR@" $2 ":" } ' > ${WHERE}/patch.files
+sed -f ${WHERE}/patch.files ${WHERE}/patch.cmd | sed "s:@DIR@:${rhel_loc}/:" | sed "s:@PATCH@:${patch}:" > ${WHERE}/patch.sh
+
+#
+# Remove linux specific patches.
+# The file containing the patch that shouldn't be applied are build the following way.
+# ${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU}
+if [ -f ${build_top}/data/${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU} ]; then
+ remove_list=`cat ${build_top}/data/${package}.${version}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU}`
+elif [ -f ${build_top}/data/${package}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU} ]; then
+ remove_list=`cat ${build_top}/data/${package}.${compo}.${tag}.${BUILD_SYS}.${BUILD_CPU}`
+elif [ -f ${build_top}/data/${package}.${compo}.${tag}.${BUILD_SYS} ]; then
+ remove_list=`cat ${build_top}/data/${package}.${compo}.${tag}.${BUILD_SYS}`
+elif [ -f ${build_top}/data/${package}.${compo}.${BUILD_SYS} ]; then
+ remove_list=`cat ${build_top}/data/${package}.${compo}.${BUILD_SYS}`
+elif [ -f ${build_top}/data/${package}.${compo} ]; then
+ remove_list=`cat ${build_top}/data/${package}.${compo}`
+else
+ remove_list=""
+fi
+if [ -z "${remove_list}" ]; then
+ echo "applying all the rhel patches"
+else
+ for patch in `echo "$remove_list"`
+ do
+ cat ${WHERE}/patch.sh | grep -v ${patch} > ${WHERE}/patch.sh
+ done
+fi
+echo "Applying the rhel patches to ${dirsources}"
+chmod a+x ${WHERE}/patch.sh
+(cd ${dirsources}
+ ${WHERE}/patch.sh
+)
Property changes on: trunk/build/unix/util/buildrhelsrc.sh
___________________________________________________________________
Name: svn:executable
+ *
16 years, 8 months
JBoss Native SVN: r1314 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-31 03:25:16 -0500 (Thu, 31 Jan 2008)
New Revision: 1314
Modified:
trunk/build/unix/package.list
Log:
Get trunk of tc-native for the CC build again.
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2008-01-30 18:17:55 UTC (rev 1313)
+++ trunk/build/unix/package.list 2008-01-31 08:25:16 UTC (rev 1314)
@@ -2,8 +2,8 @@
# add new versions of package after existing ones.
jboss-native|2.0.1|TOMCAT_NATIVE_1_1_11|1.2.9|1.2.8|1.2.1|0.9.8e|1.2.3
jboss-native|2.0.2|TOMCAT_NATIVE_1_1_11|1.2.9|1.2.8|1.2.1|0.9.8e|1.2.3
-jboss-native|2.0.3-dev|trunk|1.2.8|1.2.8|1.2.1|0.9.8e|1.2.3
jboss-native|2.0.3|TOMCAT_NATIVE_1_1_12|1.2.8|1.2.8|1.2.1|0.9.8e|1.2.3
+jboss-native|2.0.4-dev|trunk|1.2.8|1.2.8|1.2.1|0.9.8e|1.2.3
# SIGHT
jboss-sight|1.0.0|trunk|1.2.9|1.2.8|1.2.1
jboss-sight|1.0.1|trunk|1.2.8|1.2.8|1.2.1
16 years, 8 months
JBoss Native SVN: r1313 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-30 13:17:55 -0500 (Wed, 30 Jan 2008)
New Revision: 1313
Removed:
trunk/build/unix/buildbin.asf-jk.sh
Modified:
trunk/build/unix/buildbin.rhel-httpd.sh
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
Arrange logic to build mod_jk.so in httpd tree.
Deleted: trunk/build/unix/buildbin.asf-jk.sh
===================================================================
--- trunk/build/unix/buildbin.asf-jk.sh 2008-01-30 11:11:36 UTC (rev 1312)
+++ trunk/build/unix/buildbin.asf-jk.sh 2008-01-30 18:17:55 UTC (rev 1313)
@@ -1,114 +0,0 @@
-#!/bin/sh
-# Copyright(c) 2007 Red Hat Middleware, LLC,
-# and individual contributors as indicated by the @authors tag.
-# See the copyright.txt in the distribution for a
-# full listing of individual contributors.
-#
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation; either
-# version 2 of the License, or (at your option) any later version.
-#
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library in the file COPYING.LIB;
-# if not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
-#
-# @author Jean-Frederic Clere
-#
-echo ""
-echo "Running : `basename $0` $LastChangedDate: 2007-07-02 16:22:00 +0200 (Mon, 02 Jul 2007) $"
-echo ""
-echo "Started : `date`"
-echo "Common : $1"
-echo "Prefix : $2"
-echo "Output : $3"
-echo "OpenSSL : $4"
-echo ""
-
-
-# parameters
-# $1: Location of the common libraries.
-# $2: Destination location.
-# $3: Location where to put the binaries.
-# $4: Use OpenSSL.
-# $5: Location of the sources.
-
-common_loc=$1
-prefix_loc=$2
-output_loc=$3
-has_openssl=$4
-sources_loc=$5
-current_loc=`pwd`
-
-echo "Building mod_jk in $current_loc"
-native_sources=srclib/`ls srclib | grep tomcat-connectors-`/native
-cd $native_sources
-
-apxs=`find $output_loc -name apxs`
-config=`find $output_loc -name config_vars.mk | grep -v jk/config_vars.mk`
-configdir=`dirname $config`
-
-echo "Using: $apxs"
-echo "Using: $config"
-
-#
-# Arrange apxs/config_vars.mk so that we can use it with the httpd we are building.
-echo "/^my \$installbuilddir = / c\\" > $$.sed
-echo "my \$installbuilddir = \"${configdir}\";" >> $$.sed
-
-sed -f $$.sed ${apxs} | sed 's:config_vars.mk:config_vars.mk.jk:' > ${apxs}.jk
-chmod a+x ${apxs}.jk
-
-sbindir=`find $output_loc -type d -name sbin`
-bindir=`find $output_loc -type d -name bin`
-APR_CONFIG=`find $output_loc -type f -name apr-1-config`
-APU_CONFIG=`find $output_loc -type f -name apu-1-config`
-LIBTOOL=`find $output_loc -type f -name libtool`
-APR_INCLUDE=`find $output_loc -type f -name apr_lib.h`
-APR_INCLUDEDIR=`dirname $APR_INCLUDE`
-APU_INCLUDE=`find $output_loc -type f -name apu.h`
-APU_INCLUDEDIR=`dirname $APU_INCLUDE`
-exp_installbuild=`find $output_loc -type f -name config_vars.mk | grep -v jk/config_vars.mk`
-exp_installbuilddir=`dirname $exp_installbuild`
-modules_dir=`find $output_loc -type d -name modules`
-
-#
-# Fill the sed command file.
-echo "/^sbindir = / c\\" > $$.sed
-echo "sbindir = ${sbindir}" >> $$.sed
-echo "/^bindir = / c\\" >> $$.sed
-echo "bindir = ${bindir}" >> $$.sed
-echo "/^APR_CONFIG = / c\\" >> $$.sed
-echo "APR_CONFIG = ${APR_CONFIG}" >> $$.sed
-echo "/^APU_CONFIG = / c\\" >> $$.sed
-echo "APU_CONFIG = ${APU_CONFIG}" >> $$.sed
-echo "/^LIBTOOL = / c\\" >> $$.sed
-echo "LIBTOOL = ${LIBTOOL}" >> $$.sed
-echo "/^APR_INCLUDEDIR = / c\\" >> $$.sed
-echo "APR_INCLUDEDIR = ${APR_INCLUDEDIR}" >> $$.sed
-echo "/^APU_INCLUDEDIR = / c\\" >> $$.sed
-echo "APU_INCLUDEDIR = ${APU_INCLUDEDIR}" >> $$.sed
-echo "/^exp_installbuilddir = / c\\" >> $$.sed
-echo "exp_installbuilddir = ${exp_installbuilddir}/jk" >> $$.sed
-sed -f $$.sed $configdir/config_vars.mk > $configdir/config_vars.mk.jk
-mkdir -p $configdir/jk
-cp $configdir/config_vars.mk.jk $configdir/jk/config_vars.mk
-
-libdir=`find $output_loc -type d -name lib`
-LD_LIBRARY_PATH=$libdir
-export LD_LIBRARY_PATH
-echo "$native_sources; ./configure --with-apxs=${apxs}.jk"
-./configure --with-apxs=${apxs}.jk
-make
-
-# Copy the dynamic library (for the moment jlibtool can't copy mod_jk.la on itself).
-(cd apache-2.0
- ../scripts/build/instdso.sh SH_LIBTOOL=${LIBTOOL} mod_jk.la `pwd`
- cp mod_jk.${so_extension} ${modules_dir}
-)
Modified: trunk/build/unix/buildbin.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildbin.rhel-httpd.sh 2008-01-30 11:11:36 UTC (rev 1312)
+++ trunk/build/unix/buildbin.rhel-httpd.sh 2008-01-30 18:17:55 UTC (rev 1313)
@@ -83,6 +83,8 @@
--with-suexec-uidmin=500 --with-suexec-gidmin=100 \
--with-pcre=builtin \
$* || exit 1
+exit 1
+make clean || exit 1
make || exit 1
) || return 1
}
@@ -105,7 +107,6 @@
if $has_openssl_loc ; then
add_conf="--with-ssl=${common_loc} --enable-ssl --with-ssl --enable-distcache"
else
- add_conf="--with-ssl=no"
add_conf=""
fi
if $build_iconv; then
@@ -121,6 +122,10 @@
else
add_conf="$add_conf --with-expat=builtin"
fi
+# Process mod_jk if needed.
+if $has_jk; then
+ add_conf="$add_conf --enable-jk"
+fi
case ${BUILD_SYS} in
linux*)
add_conf="$add_conf --enable-pie"
@@ -169,15 +174,5 @@
# Install it
#install -m 755 worker/httpd ${RPM_BUILD_ROOT}/${_sbindir}/httpd.worker
install -m 755 httpd ${RPM_BUILD_ROOT}/${_sbindir}/httpd.worker
-
-# Process mod_jk if needed.
-if $has_jk; then
- cd ${current_loc}
- ${build_top}/util/override.sh ${sources_loc}/buildbin.asf-jk.sh ${common_loc} ${prefix_loc} ${output_loc} $has_openssl_loc $has_static_loc ${sources_loc}
- if [ $? -ne 0 ]; then
- echo "${sources_loc}/buildbin.asf-jk.sh failed"
- exit 1
- fi
-fi
echo "Done"
exit 0
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-30 11:11:36 UTC (rev 1312)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-30 18:17:55 UTC (rev 1313)
@@ -89,6 +89,17 @@
dirsources=${native_dist}/srclib/${dirsources}
#
+# Add mod_jk sources.
+if $has_jk; then
+ ${build_top}/util/override.sh ${build_top}/buildsrc.asf-jk.sh ${jk_version} ${package_src_dir}
+ if [ $? -ne 0 ]; then
+ echo "buildsrc.asf-jk.sh failed"
+ exit 1
+ fi
+ cp ${build_top}/buildbin.asf-jk*.sh ${package_src_dir}
+fi
+
+#
# Copy the windows NMAKE files (and additional stuff).
dirnmake=${build_top}/../../httpd/httpd-2.2/
if [ -d ${dirnmake} ]; then
@@ -152,12 +163,6 @@
#(cd ${dirsources}
# autoheader && autoconf || exit 1
#)
-
-if $has_jk; then
- ${build_top}/util/override.sh ${build_top}/buildsrc.asf-jk.sh ${jk_version} ${package_src_dir}
- if [ $? -ne 0 ]; then
- echo "buildsrc.asf-jk.sh failed"
- exit 1
- fi
- cp ${build_top}/buildbin.asf-jk*.sh ${package_src_dir}
-fi
+(cd ${dirsources}
+ bash buildconf
+)
16 years, 8 months
JBoss Native SVN: r1312 - in trunk/httpd/httpd-2.2/modules: jk and 1 other directory.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-30 06:11:36 -0500 (Wed, 30 Jan 2008)
New Revision: 1312
Added:
trunk/httpd/httpd-2.2/modules/jk/
trunk/httpd/httpd-2.2/modules/jk/Makefile.in
trunk/httpd/httpd-2.2/modules/jk/config5.m4
Log:
Add mod_jk.
Added: trunk/httpd/httpd-2.2/modules/jk/Makefile.in
===================================================================
--- trunk/httpd/httpd-2.2/modules/jk/Makefile.in (rev 0)
+++ trunk/httpd/httpd-2.2/modules/jk/Makefile.in 2008-01-30 11:11:36 UTC (rev 1312)
@@ -0,0 +1 @@
+include $(top_srcdir)/build/special.mk
Added: trunk/httpd/httpd-2.2/modules/jk/config5.m4
===================================================================
--- trunk/httpd/httpd-2.2/modules/jk/config5.m4 (rev 0)
+++ trunk/httpd/httpd-2.2/modules/jk/config5.m4 2008-01-30 11:11:36 UTC (rev 1312)
@@ -0,0 +1,13 @@
+dnl modules enabled in this directory by default
+
+APACHE_MODPATH_INIT(jk)
+
+jk_objects="apache-2.0/mod_jk.lo common/jk_ajp12_worker.lo common/jk_ajp13.lo common/jk_ajp13_worker.lo common/jk_ajp14.lo common/jk_ajp14_worker.lo common/jk_ajp_common.lo common/jk_connect.lo common/jk_context.lo common/jk_lb_worker.lo common/jk_map.lo common/jk_md5.lo common/jk_msg_buff.lo common/jk_pool.lo common/jk_shm.lo common/jk_sockbuf.lo common/jk_status.lo common/jk_uri_worker_map.lo common/jk_url.lo common/jk_util.lo common/jk_worker.lo"
+
+APACHE_MODULE(jk, AJP protocol handling, $jk_objects, , $jk_enable)
+
+if test "$dav_enable" != "no"; then
+ APR_ADDTO(INCLUDES, [-I\$(top_srcdir)/$modpath_current/common])
+fi
+
+APACHE_MODPATH_FINISH
16 years, 8 months
JBoss Native SVN: r1311 - tags.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-30 05:40:53 -0500 (Wed, 30 Jan 2008)
New Revision: 1311
Added:
tags/2.0.3/
Log:
Tag the release.
Copied: tags/2.0.3 (from rev 1310, trunk)
16 years, 8 months
JBoss Native SVN: r1310 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-01-30 04:38:08 -0500 (Wed, 30 Jan 2008)
New Revision: 1310
Modified:
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
Copy the makefile for NMAKE in the source tree.
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-29 18:39:37 UTC (rev 1309)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-30 09:38:08 UTC (rev 1310)
@@ -89,6 +89,22 @@
dirsources=${native_dist}/srclib/${dirsources}
#
+# Copy the windows NMAKE files (and additional stuff).
+dirnmake=${build_top}/../../httpd/httpd-2.2/
+if [ -d ${dirnmake} ]; then
+ for file in `(cd ${dirnmake}; find . -type f | grep -v .svn | sed 's:./::')`
+ do
+ dir=`dirname $file`
+ echo "copying ${dirnmake}/$file to ${dirsources}/${dir}"
+ cp -p ${dirnmake}/$file ${dirsources}/${dir}
+ done
+else
+ echo "Failed can't find makefiles for NMAKE"
+ exit 1
+fi
+
+
+#
# Read the patches list and apply them
WHERE=${native_dist}/tools
mkdir -p ${WHERE}
16 years, 8 months
JBoss Native SVN: r1309 - trunk/build/windows.
by jbossnative-commits@lists.jboss.org
Author: mladen.turk(a)jboss.com
Date: 2008-01-29 13:39:37 -0500 (Tue, 29 Jan 2008)
New Revision: 1309
Removed:
trunk/build/windows/cut_path.sh
Modified:
trunk/build/windows/build.bat
Log:
Use /D option instead cut_path.sh
Modified: trunk/build/windows/build.bat
===================================================================
--- trunk/build/windows/build.bat 2008-01-29 15:27:45 UTC (rev 1308)
+++ trunk/build/windows/build.bat 2008-01-29 18:39:37 UTC (rev 1309)
@@ -22,23 +22,7 @@
REM @author Mladen Turk
REM
-REM First check for cygwin.
-@if "%CYGWIN_INSTALL_DIR%" == "" set CYGWIN_INSTALL_DIR=C:\cygwin
-@if exist "%CYGWIN_INSTALL_DIR%\" goto cmdFoundCygwin
-echo CYGWIN_INSTALL_DIR points to invalid directory %CYGWIN_INSTALL_DIR%
-goto cmdEnd
-:cmdFoundCygwin
-set PATH=%CYGWIN_INSTALL_DIR%\bin;%PATH%
-
-REM Then for an acceptable location.
-bash check_path.sh
-@if ERRORLEVEL 1 (
-echo Can't run inside cygwin install path
-echo Install the source in another location c:\home\my for example
-goto cmdEnd
-)
-
@if not "%ECHO%" == "" echo %ECHO%
@if "%OS%" == "Windows_NT" setlocal
@@ -62,28 +46,41 @@
echo Params : %*
echo.
+REM Check for cygwin in the PATH
+@if "%CYGWIN_INSTALL_DIR%" == "" set CYGWIN_INSTALL_DIR=C:\cygwin
+@if exist "%CYGWIN_INSTALL_DIR%\" goto cmdFoundCygwin
+echo CYGWIN_INSTALL_DIR points to invalid directory %CYGWIN_INSTALL_DIR%
+goto cmdEnd
+
+:cmdFoundCygwin
+set PATH=%CYGWIN_INSTALL_DIR%\bin;%PATH%
+
+REM Then for an acceptable location.
+bash check_path.sh
+@if ERRORLEVEL 1 (
+ echo Can't run inside cygwin install path
+ echo Install the source in another location c:\home\my for example
+ goto cmdEnd
+)
+
@if exist "%LOCAL_DIR%\conf.%COMPUTERNAME%.bat" (
echo "Using %COMPUTERNAME% specific configuration"
call "%LOCAL_DIR%\conf.%COMPUTERNAME%"
) else (
-echo "Using default configuration"
-@if "%TOOLS_ROOT%" == "" set TOOLS_ROOT=C:\opt
-@if exist "%TOOLS_ROOT%\" goto cmdSetTools
-echo TOOLS_ROOT points to invalid directory %TOOLS_ROOT%
-goto cmdEnd
+ echo "Using default configuration"
+ @if "%TOOLS_ROOT%" == "" set TOOLS_ROOT=C:\opt
+ @if exist "%TOOLS_ROOT%\" goto cmdSetTools
+ echo TOOLS_ROOT points to invalid directory %TOOLS_ROOT%
+ goto cmdEnd
-:cmdSetTools
-@echo Using Tools from %TOOLS_ROOT%
-set MSVS8VC=%TOOLS_ROOT%\MSVS8\VC
-set MSVS6VC=%TOOLS_ROOT%\MSVS6
-set MSWPSDK=%TOOLS_ROOT%\PSDK6
+ :cmdSetTools
+ @echo Using Tools from %TOOLS_ROOT%
+ set MSVS8VC=%TOOLS_ROOT%\MSVS8\VC
+ set MSVS6VC=%TOOLS_ROOT%\MSVS6
+ set MSWPSDK=%TOOLS_ROOT%\PSDK6
)
-set BUILD_OS=windows
-echo "MSVS8VC: %MSVS8VC%"
-echo "MSVS6VC: %MSVS6VC%"
-echo "MSWPSDK: %MSWPSDK%"
-
+set BUILD_OS=windows
set CRT_REDIST=
set USE_PLATFORM_SDK=
set APR_DECLARE_STATIC=
@@ -97,6 +94,7 @@
:checkSTATIC
@if /i "%1" == "static" goto makeSTATIC
goto checkCPU
+
:makeSTATIC
shift
set APR_DECLARE_STATIC=1
@@ -140,18 +138,11 @@
goto cmdBuild
:cmdBuild
-
-echo %INCLUDE% > cut_path.dat
-bash cut_path.sh
-call cut_path.bat
-@for %%i IN (%cut_path%) DO (
+@for /D %%i IN (%INCLUDE%) DO (
@if exist "%%i\PRE64PRA.H" set INCLUDE_PRE64PRA=1
)
-echo %LIB% > cut_path.dat
-bash cut_path.sh
-call cut_path.bat
-@for %%i IN (%cut_path%) DO (
+@for /D %%i IN (%LIB%) DO (
@if exist "%%i\bufferoverflowu.lib" set INCLUDE_BUFFEROVERFLOWU=1
)
Deleted: trunk/build/windows/cut_path.sh
===================================================================
--- trunk/build/windows/cut_path.sh 2008-01-29 15:27:45 UTC (rev 1308)
+++ trunk/build/windows/cut_path.sh 2008-01-29 18:39:37 UTC (rev 1309)
@@ -1,35 +0,0 @@
-#!/bin/sh
-# Copyright(c) 2008 Red Hat Middleware, LLC,
-# and individual contributors as indicated by the @authors tag.
-# See the copyright.txt in the distribution for a
-# full listing of individual contributors.
-#
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation; either
-# version 2 of the License, or (at your option) any later version.
-#
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library in the file COPYING.LIB;
-# if not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
-#
-# @author Jean-Frederic Clere
-#
-
-#
-# Helper to cut a windoze path like value in the "" list.
-c=""
-for a in `cat cut_path.dat | sed 's: :|:g' | sed 's:;: :g'`
-do
- b=`echo $a | sed 's:|: :g'`
- echo $b
- c=${c}`echo "\"$b\" "`
-done
-echo "set cut_path=$c" > cut_path.bat
-chmod a+x cut_path.bat
16 years, 8 months